<!DOCTYPE html>
<html xmlns:concordion="http://www.concordion.org/2007/concordion">
<head>
<meta charset="UTF-8" />
<title>Extraction des données Chimie</title>
</head>
<body>
	<h3>On extrait les données.</h3>
	<table
		concordion:execute="#extract=extract(#projetName, #plateformesListNames, #variableListNames, #allDepth, #profMin, #profMax, #selectedDates, #dateDedebut, #datedeFin, #annees, #rawDatas, #aggregatedDatas, #minAggregated, #maxAggregated, #filecomp, #commentaire, #affichage)">
		<tr>
			<th concordion:set="#projetName">Projet</th>
			<th concordion:set="#plateformesListNames">Plateformes</th>
			<th concordion:set="#variableListNames">Variables</th>
			<th concordion:set="#allDepth">Toutes les profondeurs</th>
			<th concordion:set="#profMin">Profondeur min</th>
			<th concordion:set="#profMax">Profondeur max</th>
			<th concordion:set="#selectedDates">Type de dates</th>
			<th concordion:set="#dateDedebut">Date de début</th>
			<th concordion:set="#datedeFin">Date de fin</th>
			<th concordion:set="#annees">Années</th>
			<th concordion:set="#rawDatas">Données brutes</th>
			<th concordion:set="#aggregatedDatas">Moyennes pondérées</th>
			<th concordion:set="#minAggregated">Valeurs minimum</th>
			<th concordion:set="#maxAggregated">Valeurs maximum</th>
			<th concordion:set="#filecomp">Fichiers complémentaires</th>
			<th concordion:set="#commentaire">Commentaire</th>
			<th concordion:set="#affichage">Affichage</th>
			<th concordion:set="#compareFile">Fichier de comparaison</th>
			<th concordion:assertEquals="#extract">Extrait</th>
			<th concordion:assertEquals="checkExtractData(#compareFile)">Extraction valide</th>
		</tr>
		<tr>
			<td>suivi_des_lacs</td>
			<td>lac1;point_l1_b</td>
			<td>chlorures, oxygene_dissous, ph, phosphore_total, temperature</td>
			<td>true</td>
			<td></td>
			<td></td>
			<td>DatesYearsContinuousFormParam</td>
			<td>31/05/1957</td>
			<td>23/07/1957</td>
			<td></td>
			<td>true</td>
			<td>true</td>
			<td>true</td>
			<td>true</td>
			<td></td>
			<td>Extraction test de chimie 1</td>
			<td>1</td>
			<td>src/test/resources/org/inra/ecoinfo/glacpe/fichiers/chimie/lac1_mean_test1.csv,src/test/resources/org/inra/ecoinfo/glacpe/fichiers/chimie/lac1__test1.csv,src/test/resources/org/inra/ecoinfo/glacpe/fichiers/chimie/lac1_aggregated_test1.csv,src/test/resources/org/inra/ecoinfo/glacpe/fichiers/chimie/recapitulatif_extraction__test1.txt</td>
			<td>true</td>
			<td>true</td>
		</tr>
		<!-- <tr>
			<td>suivi_des_lacs</td>
			<td>lac1;point_l1_b</td>
			<td>chlorures, oxygene_dissous, ph, phosphore_total, temperature</td>
			<td>true</td>
			<td></td>
			<td></td>
			<td>DatesYearsContinuousFormParam</td>
			<td>31/05/1956</td>
			<td>23/07/1956</td>
			<td></td>
			<td>true</td>
			<td>false</td>
			<td>false</td>
			<td>false</td>
			<td></td>
			<td>Extraction test de chimie 2 : dates en dehors des dates des données</td>
			<td>1</td>
			<td>src/test/resources/org/inra/ecoinfo/glacpe/fichiers/chimie/recapitulatif_extraction__test1.txt</td>
			<td>true</td>
			<td>false</td>
		</tr>
		 -->
	</table>
</body>
</html>